"use strict";

// check the connection every 5 secs, show a message if no wifi available and stop checking once shown
(function() {

  var intervalID = null;

  function startCheckingNetworkConnection() {
    intervalID = setInterval(function() {
      var currentPage = $j.mobile.activePage[0].id;
      // the homepage has the audiolinks, so no need to show it on other pages
      if (currentPage == "homePage") {
        var networkState = navigator.connection.type;
        var isWifi = networkState == Connection.WIFI;
        var isUnknown = networkState == Connection.UNKNOWN;
        if (!isWifi && !isUnknown) {
          clearInterval(intervalID);
          window.plugins.toast.showLongBottom('U heeft geen wifi. Bestanden afspelen kan kostbaar zijn.');
        }
      }
    }, 5000);
  }

  document.addEventListener('deviceready', startCheckingNetworkConnection, false);

}());